# Fetching a list of Estimate Scenario Resources

This endpoint provides a list of all scenario resources associated with the specified estimate
scenario.


This endpoint returns structured Estimate Scenario Resource objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the estimate_scenario_resources top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /estimate_scenario_resources
Version: 1.0.0

## Query parameters:

  - `estimate_scenario_id` (integer, required)
    Required to retrieve the resources for a specified estimate scenario.

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `external_reference_external_message` (string)
    Filter the objects based on the external message of their associated external references. This is an exact match.

  - `external_reference_external_status` (string)
    Filter by the status of the external object in the external system.

  - `external_reference_service_model` (string)
    Filter by the type of the external object this external reference belongs to.

  - `external_reference_service_model_ref` (integer)
    Filter by the id of the external object this external reference belongs to.

  - `external_reference_service_model_refs` (string)
    Filter for objects that correlate to the specified external object IDs. Provide a comma-separated list of up to 200 external IDs.

  - `external_reference_service_name` (string)
    Filter by the name of the provider for integration.

  - `external_reference_status` (string)
    Filter by the status of the integration, this can be successful or fail.

  - `has_external_references` (boolean)
    Filter by whether or not the object has external references.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- allocation (EstimateScenarioResourceAllocation) - The Estimate Scenario Resource Allocation of the Estimate Scenario Resource.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- geography (Geography) - The Geography of the Estimate Scenario Resource.
- organization_membership (OrganizationMembership) - Retrieves the organization memberships for the resource. The response will include organization_membership_id, which references the data in the organization_memberships top-level key.
- role (Role)
- user (User).

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: alphabetically:asc, alphabetically:desc, created_at:asc, created_at:desc, updated_at:asc, and updated_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `without_external_reference_service_name` (string)
    Exclude by the existence of an external reference with the specified service name.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `estimate_scenario_resources` (object)

  - `external_references` (object)

  - `users` (object)

  - `roles` (object)

  - `organization_memberships` (object)

  - `estimate_scenario_resource_allocations` (object)

  - `organizations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


